 #ifndef _LOGDEF_H_
#define _LOGDEF_H_
#include <syslog.h>

#define DEBUG_PRINT(info,args...)  do { \
					syslog(LOG_DEBUG, info, ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
 				}while(0)
#define INFO_PRINT(info,args...)   do { \
					syslog(LOG_INFO, info, ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
				}while(0)
#define ERROR_PRINT(info,args...)  do { \
					syslog(LOG_ERR, info, ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
				}while(0)
#define WARNING_PRINT(info,args...) do { \
					syslog(LOG_WARNING, info, ##args); \
					printf("\n["__FILE__":%d] "info,__LINE__, ##args); \
				}while(0)

#endif


